package org.objectweb.perseus.concurrency.lib;

/**
 * Copyright (C) 2003-2004
 * - France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Authors: lobry
 * Date: 19 dc. 2003
 * Time: 09:57:48
 */

public interface LockValue {

	static final byte UNDEFINED = -1;
	static final byte NOLOCK = 0;

	public boolean isCompatibleWith(byte l1, byte l2);
	public byte getCompatibleWith(byte l1, byte l2);
	public byte maxValue();
	
	public String str(byte l);
}
